class Direnv < Formula
  desc "Load/unload environment variables based on $PWD"
  homepage "https://direnv.net/"
  url "https://github.com/direnv/direnv/archive/refs/tags/v2.35.0.tar.gz"
  sha256 "a7aaec49d1b305f0745dad364af967fb3dc9bb5befc9f29d268d528b5a474e57"
  license "MIT"
  head "https://github.com/direnv/direnv.git", branch: "master"

  depends_on "go" => :build
  depends_on "bash"

  def install
    system "make", "install", "PREFIX=#{prefix}", "BASH_PATH=#{Formula["bash"].opt_bin}/bash"
  end

  test do
    system bin/"direnv", "status"
  end
end
